Public Class Form1
    Dim WenDu As TEMPerDLL.Class1

    Dim checkTEMP As TEMPerDLL.Class1
    ' checktemp = New TEMPerDLL.Class1


    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click


        ' Dim tt As Byte

        LabTEMP.Text = WenDu.ReadTEMPsh10
        LabHUM.Text = WenDu.ReadHUMsh10
        LabDEW.Text = WenDu.DewPoint




        ' 



        '  Lab1.Text = WenDu.ReadTEMP("R") & " C"  'read temp, if ReadTEMP("T") error , please change to "R"


        '  Lab1.Text = WenDu.ReadTEMP("T") & " C"
        '   WenDu.WriteEEPROM(200, 99)  'write password 

        '   tt = WenDu.ReadEEPROM(200) 'read password



    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        WenDu = New TEMPerDLL.Class1
        WenDu.checkTEMPer(0, "R")
    End Sub

    Private Sub GroupBox2_Enter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GroupBox2.Enter

    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        WenDu.checkTEMPer(NumericUpDown1.Value, "R")

    End Sub
End Class
